Subject: Re: [RFC/PATCH] git-completion.bash: remove bashism to fix ZSH compatibility

From: Manlio Perillo <[email-masked]>
Date: Mon, 11 Mar 2013 20:09:50 +0100

Il 11/03/2013 19:09, Junio C Hamano ha scritto:
> Matthieu Moy <[email-masked]> writes:
> 
>> Junio C Hamano <[email-masked]> writes:
>>
>>> Ahh, thanks for reminding me of this.  You are right; these two
>>> functions are broken when the user has CDPATH set, I think.
>>>
>>> Here is a reroll.
>>
>> Thanks. Even nicer that the previous since the CDPATH implied the
>> subshell anyway.
> 
> Actually, "cd", not CDPATH, is what implies that the caller must be
> calling us in a subshell, e.g.
> 
> 	result=$(__git_ls_files_helper dir/ args...)
> 
> Otherwise the user's shell would have been taken to an unexpected
> place, with or without CDPATH.
> 

Right; this is the reason I used the `{` grouping, instead of `(`.

However, since the `{` is already specified when the function is
defined, I did not add another `{}` grouping.

> [...]

Regards  Manlio Perillo